# getAliases method

1. @override

List<String> getAliases(

1. String podName

)
override

Retrieves all alias names for the specified pod.

Pods can have multiple names (aliases) for flexible referencing.

## Usage Example:

    final aliases = factory.getAliases('primaryDataSource');
    print('Primary data source aliases: $aliases');

@param podName The name of the pod to get aliases for @return A list of alias names for the pod

## Implementation

    @override
    List<String> getAliases(String podName) {
      // aliases are metadata; always copy local collection before merging
      final f = getPodFactory();

      final local = List<String>.from(f.getAliases(podName));
      if (_parent != null) {
        local.addAll(_parent!.getAliases(podName));
      }

      return local;
    }